<template>
  <div class="cms-block-product-heading">
    <CmsGenericElement
      :content="getLeftContent"
      class="cms-block-product-heading__element"
    />
    <CmsGenericElement
      :content="getRightContent"
      class="cms-block-product-heading__element right-view"
    />
  </div>
</template>

<script>
  import CmsGenericElement from "sw-cms/CmsGenericElement"

  export default {
    name: "CmsBlockProductHeadingLike",

    components: {
      CmsGenericElement,
    },

    props: {
      content: {
        type: Object,
        default: () => ({}),
      },
    },

    computed: {
      getSlots() {
        return this.content.slots || []
      },
      getLeftContent() {
        return this.getSlots.find(({ slot }) => slot === "left")
      },
      getRightContent() {
        return this.getSlots.find(({ slot }) => slot === "right")
      },
    },
  }
</script>

<style lang="scss" scoped>
  @import "@/cms/settings.scss";

  .cms-block-product-heading {
    display: flex;
    justify-content: space-between;

    .right-view {
      padding-left: 120px;
    }
  }

  .right-view {
    display: flex;
    justify-content: flex-end;

    @include for-desktop {
      margin-left: calc(var(--spacer-base) * 3);
    }
  }
</style>
